/**************************************************************************
**
**  Name:  emullfw.c
**
**  Description: Dummy low level firmware
**
**  Status:  preliminary
**
** Copyright (C) 1992 Microtek International, Inc.
**
***************************************************************************/

#include "emullfw.h"

U8 OvpRegister(U16 addressOffset,U16 access,U16 length,U32 *data,U16 ptrOffset)
{ U32 ptrCMD=0x10;
  U16 i;
  U8 status;
  if(status=IntRegister(ptrOffset,1,1,&ptrCMD,0))
    return status;
  for(i=0;i<length;i++)
    if(status=IntRegister(addressOffset,access,1,(U32*)(((U8*)data)+i),0))
      return status;
  return 0;
}
